org.eclipse.ease.lang.python.debugger

## Class PythonDebugger.PythonDebugFrame

- java.lang.Object
- - org.eclipse.ease.debugging.EaseDebugFrame
  - - org.eclipse.ease.lang.python.debugger.PythonDebugger.PythonDebugFrame

All Implemented Interfaces:
  IScriptDebugFrame

Enclosing class:
  PythonDebugger

    public class PythonDebugger.PythonDebugFrame
    extends EaseDebugFrame
    implements IScriptDebugFrame

Custom `EaseDebugFrame` parsing the data from `IPyFrame` to more usable format.

### Field Summary

### Fields inherited from interface org.eclipse.ease.debugging.IScriptDebugFrame

`TYPE_FILE, TYPE_FUNCTION`

### Constructor Summary

Constructors
Constructor and Description
`PythonDebugFrame(IPyFrame frame)` Constructor parses information from `IPyFrame` to correct parameters for `EaseDebugFrame#ScriptDebugFrame(Script, int, int)`.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`java.util.Map<java.lang.String,java.lang.Object>` `getVariables()`
`java.lang.Object` `inject(java.lang.String expression)`
`void` `setVariable(java.lang.String name, java.lang.Object content)`

### Methods inherited from class org.eclipse.ease.debugging.EaseDebugFrame

`getLineNumber, getScript, getType, setLineNumber`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.debugging.IScriptDebugFrame

`getLineNumber, getScript, getType, setLineNumber`

### Constructor Detail

#### PythonDebugFrame

    public PythonDebugFrame(IPyFrame frame)

Constructor parses information from `IPyFrame` to correct parameters for `EaseDebugFrame#ScriptDebugFrame(Script, int, int)`.

Parameters:
  `frame` - `IPyFrame` with information about the current execution frame.

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `IScriptDebugFrame`
Overrides:
  `getName` in class `EaseDebugFrame`

#### getVariables

    public java.util.Map<java.lang.String,java.lang.Object> getVariables()

Overrides:
  `getVariables` in class `EaseDebugFrame`

#### setVariable

    public void setVariable(java.lang.String name,
                            java.lang.Object content)

Specified by:
  `setVariable` in interface `IScriptDebugFrame`
Overrides:
  `setVariable` in class `EaseDebugFrame`

#### inject

    public java.lang.Object inject(java.lang.String expression)
                            throws java.lang.Throwable

Specified by:
  `inject` in interface `IScriptDebugFrame`
Overrides:
  `inject` in class `EaseDebugFrame`
Throws:
  `java.lang.Throwable`